% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/is_param.R
\name{is_mu_param}
\alias{is_mu_param}
\title{Determine if the object is a valid
mu parameter}
\usage{
is_mu_param(x)
}
\arguments{
\item{x}{an object, to be determined if it is a valid
mu parameter}
}
\value{
TRUE if x is a valid mu parameter,
  FALSE otherwise
}
\description{
Determine if the object is a valid
mu parameter
}
\examples{

is_mu_param(create_alpha_param())
is_mu_param(create_beta_param())
is_mu_param(create_clock_rate_param())
is_mu_param(create_kappa_1_param())
is_mu_param(create_kappa_2_param())
is_mu_param(create_lambda_param())
is_mu_param(create_m_param())
is_mu_param(create_mean_param())
is_mu_param(create_mu_param())
is_mu_param(create_rate_ac_param())
is_mu_param(create_rate_ag_param())
is_mu_param(create_rate_at_param())
is_mu_param(create_rate_cg_param())
is_mu_param(create_rate_ct_param())
is_mu_param(create_rate_gt_param())
is_mu_param(create_s_param())
is_mu_param(create_scale_param())
is_mu_param(create_sigma_param())

is_mu_param(NA)
is_mu_param(NULL)
is_mu_param("nonsense")
is_mu_param(create_jc69_site_model())
is_mu_param(create_strict_clock_model())
is_mu_param(create_yule_tree_prior())
is_mu_param(create_mcmc())
}
\seealso{
\code{\link{create_mu_param}} creates a mu parameter
}
\author{
Richèl J.C. Bilderbeek
}
